## ke-recv 3.19-11+0m5

=== debian/changelog ===
ke-recv (3.19-11+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- mika yrjola <ext-mika.2.yrjola@nokia.com>  Wed, 16 Sep 2009 17:31:53 +0300

ke-recv (3.19-11) unstable; urgency=low

  Felipe:
  * Don't remove kernel module after USB cable is disconnected.
  * Fixes: NB#138089 - AppCert-USB-Enumeration test fails in PCSuite mode
  * Fixes: NB#135068 - AppCert-USB-Chapter9 tests are failing in full speed

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 15 Sep 2009 15:59:51 +0300

ke-recv (3.19-10) unstable; urgency=low

  * Fixes NB#137197 - Not able to enable Mass storage when no other
    applications are running

  Alban Crequy:
  * Fixes: NB#138145 - ke-recv listens on D-Bus too broadly

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 11 Sep 2009 15:59:16 +0300

ke-recv (3.19-9) unstable; urgency=low

  * Add usb_phonet_mode flag file for fixing NB#134836.
  * modprobe g_nokia if usb_phonet_mode exists.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 28 Aug 2009 15:23:53 +0300

ke-recv (3.19-8) unstable; urgency=low

  * Do not require the external card to have a partition in order to format
    it.
  * Fixes: NB#135087 - Memory card cannot be formatted

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 28 Aug 2009 13:53:38 +0300

ke-recv (3.19-7) unstable; urgency=low

  Patch from Mox Soini to support '/home/user/.config/user-dirs.dirs':
  * Fixes: NB#130327 - ke-recv needs to support global safe folders

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 27 Aug 2009 14:42:49 +0300

ke-recv (3.19-6) unstable; urgency=low

  * Make sure logger is not called without command line arguments.
  * Fixes: NB#134327 - Hot swap is not working

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 21 Aug 2009 13:43:30 +0300

ke-recv (3.19-5) unstable; urgency=low

  * Fixes: NB#123352 - AppCert-USB-Modem query doesn't work after PC reboot

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon,  3 Aug 2009 10:39:09 +0300

ke-recv (3.19-4) unstable; urgency=low

  * Keep g_file_storage loaded by default instead of g_nokia.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 31 Jul 2009 15:34:41 +0300

ke-recv (3.19-3) unstable; urgency=low

  * Changes to support the new partition layout.
  * Fixes: NB#128388 - vfat should sit at the first partition

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 29 Jul 2009 10:57:40 +0300

ke-recv (3.19-2fixes) unstable; urgency=low

  * Fixes: NB#127339 - AppCert-ke-recv doesn't export card if the partition
    format isn't recognized
  * Fixes: NB#122833 - dosfsck should be removed from device mount

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 23 Jul 2009 10:35:29 +0300

ke-recv (3.19-1) unstable; urgency=low

  * Fixes: NB#119586 - Unsafe signal handler in ke-recv
  * Not showing the "mounted as read-only" infonote since it is now shown by
    hulda.
  * Fix a number of Coverity findings.
  * Fixes: NB#112723 - Unable to select mass storage in a scenario

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 08 Jun 2009 17:25:51 +0300

ke-recv (3.18-1) unstable; urgency=low

  * Don't check is_mounted before unmounting to speed up and simplify.
  * Handle event (e.g. E_CLOSED) properly even if whole_device is not known
    yet.
  * Fixes: NB#119012 - Memory card doesn't shows up in File Manager once back
    cover is removed and put back again

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 01 Jun 2009 16:38:26 +0300

ke-recv (3.17-1) unstable; urgency=low

  * Do not log bogus error 'MP is not writable' in the external card mounting
    case.
  * Do not lose mount point info when card was mounted read-only.
  * Start tracking hildon-desktop readiness again, using the flag file and
    D-Bus signal. Also initialisation of memory cards is postponed until
    hildon-desktop is running.
  * Fix problem with detecting the storage for external card. HAL's device
    hierarchy is different at times (sometimes mmc_host is parent of storage,
    sometimes grandparent). Partial fix to NB#115433 (remaining part is HAL's)

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 14 May 2009 10:34:58 +0300

ke-recv (3.16-1) unstable; urgency=low

  * Set the cover open GConf key on E_INIT_CARD.
  * Fixes: NB#112647 - Wrong info banner displayed when Mass stoirage mode
    connected while no external mmc card pressent and internal mmc in use.
  * Fixes: NB#113332 - obexd should be sent SIGHUP and not SIGTERM when USB
    tty release is desired

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 04 May 2009 17:40:14 +0300

ke-recv (3.15-1) unstable; urgency=low

  * Fixes: NB#111920 - Do not mount volumes when the cover is closed, but wait
    for the volume added event.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 21 Apr 2009 10:47:56 +0300

ke-recv (3.14-1) unstable; urgency=low

  * Added dependencies to various l10n packages whose translations are used.
  * Removed a number of unused l10n strings.
  * Fix USB sharing failure messages to match the new UI specification.
  * Disable swap on/off functions.
  * Remove "-s 128" format option because Lokesh's card failed to format with
    it.
  * Fixes: NB#112053 - Formatting mmc throws no banner and actually doesnt
    format anything.
  * Fix a small typo in osso-mmc-mount.sh partition type checking code.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 20 Apr 2009 12:38:07 +0300

ke-recv (3.13-1) unstable; urgency=low

  * Fixes: NB#110491 - BAT: Memory card formatting does not take place.
  * Added a run of lsof and logging in case unmounting fails.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 20 Apr 2009 11:12:00 +0300

ke-recv (3.12-1) unstable; urgency=low

  * Added more FAT partition types as supported types to the mount script.
  * Fixes: NB#109543 - ke-recv regards FAT16 as unsupported format

