## ke-recv 3.19-13+0m5

=== debian/changelog ===
ke-recv (3.19-13+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Goel Lokesh Kumar <ext-lokesh.k.goel@nokia.com>  Wed, 25 Nov 2009 23:04:43 +0200

ke-recv (3.19-13) unstable; urgency=low

  * Remount cards in case we are in S_PERIPHERAL_WAIT and the cable is
    disconnected, because we could have a partially enabled mass storage mode.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 24 Nov 2009 13:03:32 +0200

ke-recv (3.19-12) unstable; urgency=low

  David Kedves:
  * Fixes: NB#146099 - Not displaying the "Connected to USB device" dialog
    when USB is inserted and mounts the device/mmc memory by default

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 16 Nov 2009 11:22:41 +0200
