## ke-recv 3.19-17.1

=== debian/changelog ===
ke-recv (3.19-17.1) unstable; urgency=low

  * Add support for specifing which partition should be mounted to /media/mmc1
    Use gconf int key /system/osso/mmc-preferred-volume

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 28 Dec 2013 20:46:27 +0100

ke-recv (3.19-17) unstable; urgency=low

  * Rewrite support for multiple partitions on SD card, always mount first MBR partition to /media/mmc1
  * Export only first partition from SD card via USB when swap on SD card is active
  * Print error messages to syslog, not to stdout
  * Use direct fsck and not fsck.$type
  * Down usb0 interface and delete ip address in pcsuite-disable.sh
  * Fix starting builtin dnsmasq dhcp server from pcsuite-enable.sh
  * Fix loading g_nokia driver in pcsuite-enable.sh
  * Fix support for usbnetwork
      When NAT is disabled do not send gateway and DNS server addresses via DHCP
      Remove option USBNETWORK_DNS which is useless now

 -- Pali Rohár <pali.rohar@gmail.com>  Thu, 17 Oct 2013 17:39:10 +0200

ke-recv (3.19-16) unstable; urgency=low

  * Use new options from /etc/default/mount-opts
  * Remove overwritng filesystem type in script osso-mmc-mount.sh based on ID from MBR table
  * Fix partition order in script fremantle-format-internal-memory-card.sh
  * Do not export card via usb if is in use (mounted or swap)
  * Fix support for upstream kernel:
      Driver g_file_storage was replaced by g_mass_storage
      g_mass_storage needs array of values in param removable
      lun paths are in /sys/devices/platform/musb-omap2430/musb-hdrc.0.auto/gadget

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 07 May 2013 20:14:22 +0200

ke-recv (3.19-15.7) unstable; urgency=low

  * Added support to start only DHCP or DNS server for usbnetwork on n900 side
  * Do not launch osso file manager when USB device is mounted

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 08 Dec 2012 11:40:30 +0100

ke-recv (3.19-15.6) unstable; urgency=low

  * Fixed install path for /etc/default/usbnetwork

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Mon, 12 Nov 2012 22:17:33 +0100

ke-recv (3.19-15.5) unstable; urgency=low

  * Added configuration to automatically launch usb networking in pc-suite mode
    see /etc/default/usbnetwork

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Mon, 12 Nov 2012 21:50:31 +0100

ke-recv (3.19-15.4) unstable; urgency=low

  * Do not use cache file for blkid

 -- Pali Rohár <pali.rohar@gmail.com>  Thu, 16 Aug 2012 11:09:34 +0200

ke-recv (3.19-15.3) unstable; urgency=low

  * Added hook to ignore partitions per user file
  * mmc-mount: When filesystem is empty use blkid for detection. Added needed mount arguments for ntfs
  * Automatically enable USB network in PC Suite mode

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 04 Aug 2012 20:13:30 +0200

ke-recv (3.19-15.2) unstable; urgency=low

  * Move desired_label into volume structure
    Fix possible buffer overlow for labels in strncpy
    Use linked list of volumes instead hal for renaming and formating mmc
    Correctly handle volume names containing spaces

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 14 Apr 2012 14:50:43 +0300

ke-recv (3.19-15.1) unstable; urgency=low

  * use dosfstools for partition renaming

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Fri, 12 Apr 2012 12:15:34 +0300

ke-recv (3.19-15) unstable; urgency=low

  * Rebuild with higher version due to debhelper upsart problem

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Sat,  7 Apr 2012 21:30:43 +0200

ke-recv (3.19-14) unstable; urgency=low

  * Added support for more MMC card partitions and other filesystems
  * Mount all partitions on external card when starting up
  * Mount all partitions after stopped USB Mass Storage mode
  * Fixed mountpoint of partitions, now paritions are correctly 
    unmounted when started USB Mass Storage mode
  * Mount one mmc FAT partition to its default mount point
  * Fixed unmounting USB storage devices
  * Use libvolume_id instead of osso-update-mmc-label.sh for volume names
    Applied patch from https://bugs.maemo.org/8904

 -- Pali Rohar <pali.rohar@gmail.com>  Sat, 10 Mar 2012 21:43:51 +0200
