## ke-recv 3.19-17.2+thumb0

=== debian/changelog ===
ke-recv (3.19-17.2+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 10 Oct 2015 11:38:14 +0300

ke-recv (3.19-17.2) unstable; urgency=low

  * mmc-mount: Fix script for fat partitions

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 06 Jan 2015 00:32:59 +0100

ke-recv (3.19-17.1+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 29 Dec 2014 18:06:12 +0200

ke-recv (3.19-15.7+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Tue, 25 Dec 2012 12:53:21 +0200
